#!/usr/bin/env python3

ANG = 1.e-10

jd = 2456451.372100
ucoord = 0.0
vcoord = 0.0
vis2data = 0.0
vis2err = 0.01
eff_wave = 6625*ANG

f = open("Vis.dat", "w")
f.write("# hjd ucoord vcoord vis2data vis2err eff_wave\n")

u1 = 0.0
u2 = 330.0
du = 1.0

u = u1
while u < u2:
    u += du
    f.write("%.6f  %.8e  %.8e  %.8f  %.8f  %.8e\n" % (jd, u, vcoord, vis2data, vis2err, eff_wave))

v1 = u1
v2 = u2
dv = du

v = v1
while v < v2:
    v += dv
    f.write("%.6f  %.8e  %.8e  %.8f  %.8f  %.8e\n" % (jd, ucoord, v, vis2data, vis2err, eff_wave))

f.close()


