#!/usr/bin/env python3

ANG = 1.e-10

w1 = 6487*ANG
w2 = 6710*ANG
n = 1000
dw = (w2-w1)/n

jd = 2456451.372100
eff_band = dw
flux = 1.0
error = 0.01
dataset = 1
filename = "SYNTHETIC"

f = open("Spectra.dat", "w")

for i in range(0,n+1):
    eff_wave = w1 + i*dw
    f.write("%.6f  %.8e  %.8e  %.8f  %.8f  %d  %s\n" % (jd, eff_wave, eff_band, flux, error, dataset, filename))

f.close()

